Customizing the Designer
Our sample projects and report templates can help you learn the basics of working with our products.In this example you can see how to customize the report designer by changing the designer options. First, you need to create the
In the screenshot below you can see the result of the sample code:

StiDesignerOptions class object. This class contains a set of properties which configure the designer appearance and behaviour. For example, change some of the properties to the values other than the defaults:
<script type="text/javascript">
// Change report designer options
var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.fullScreenMode = true;
options.toolbar.showPreviewButton = false;
options.toolbar.showFileMenu = false;
options.components.showImage = false;
options.components.showShape = false;
options.components.showPanel = false;
options.components.showCheckBox = false;
options.components.showSubReport = false;
var designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);
// Create a new report instance
var report = new Stimulsoft.Report.StiReport();
// Load report from url
report.loadFile("../reports/SimpleList.mrt");
// Edit report template in the designer
designer.report = report;
</script>In the screenshot below you can see the result of the sample code:


Customizing the Designer
Our sample projects and report templates can help you learn the basics of working with our products.Embed the report designer in Vue 3, load a template, and connect its editing and save actions.
Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
designerOptions.toolbar.showPreviewButton = false;
designerOptions.components.showImage = false;
designerOptions.components.showSubReport = false;
</script>
<template>
<Designer :report="report" :options="designerOptions" />
</template>The toolbar and components option groups control which menus and toolbox items appear, so you can tailor the designer to your users.

Embed the report designer in Angular, load a template, and connect its editing and save actions.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
@Component({
    selector: "customizing-the-designer",
    imports: [Designer],
    template: `<sti-designer [report]="report" [options]="designerOptions"></sti-designer>`
})
export class CustomizingTheDesigner {
    report = new Stimulsoft.Report.StiReport();
    designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.designerOptions.toolbar.showPreviewButton = false;
        this.designerOptions.components.showImage = false;
        this.designerOptions.components.showSubReport = false;
    }
}
The toolbar and components option groups control which menus and toolbox items appear, so you can tailor the designer to your users.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.